#### Fix `lineSuffixBoundary` IR command (#10122 by @thorn0)

There was a bug in the implementation of the [`lineSuffixBoundary`][lsb] command that significantly limited its usefulness: the printer algorithm didn't correctly consider it a potential line break. Now that the bug has been fixed, we urge plugin authors to give this command another try and see if it can help them simplify printing of trailing comments.

[lsb]: https://github.com/prettier/prettier/blob/main/commands.md#linesuffixboundary

<!-- prettier-ignore -->
```jsx
// Input
group([
  "let foo = [",
  indent([
    softline,
    [lineSuffixBoundary, "item1,"],
    line,
    [lineSuffixBoundary, "item2,", lineSuffix(" // comment")],
    line,
    [lineSuffixBoundary, "item3"],
  ]),
  softline,
  "];",
])

// Prettier stable
let foo = [item1, item2,  // comment
  item3];

// Prettier main
let foo = [
  item1,
  item2, // comment
  item3
];
```
