#### Simplified `print` callback (#10557 by @fisker)

The third argument of the `print` method of plugin printers (the `print` callback) has been updated. Its first argument can be a string or an array of strings now.

To print the current node, call `print` without arguments:

```diff
 function print(path, options, print) {
   const parts = [];
   path.each((childPath) => {
-    parts.push(print(childPath));
+    parts.push(print());
   }, "children");
   return parts;
 }
```

To print a property of the current node, use `"property"` or `["property"]`:

```diff
 function print(path, options, print) {
-  return path.call(print, "property");
+  return print("property");
 }
```

To print a sub-property of the current node, use `["property1", "property2"]`:

```diff
 function print(path, options, print) {
   // print `node.child.child`
-  return path.call(print, "child", "child");
+  return print(["child", "child"]);
 }
```

See also an example in the [docs](https://prettier.io/docs/en/plugins.html#print).
