#### Add CLI option to prevent errors on unmatched pattern (#10058 by @daronmcintosh)

The Prettier CLI will no longer display an error when no files match the glob pattern passed as input.

```sh
# Prettier stable
$ npx prettier --check "prettier/docs/*.yaml"
Checking formatting...
[error] No files matching the pattern were found: "prettier/docs/*.yaml".
All matched files use Prettier code style!

# Prettier main
$ npx prettier --check --no-error-on-unmatched-pattern "prettier/docs/*.yaml"
Checking formatting...
All matched files use Prettier code style!
```
