#### Fix absolute path in custom CSS `-custom-url()` calls (#9966 by @vjeux)

The CSS parser is parsing this as `["division", "absolute/path"]` instead of a single `"/absolute/path"` token unless you are in a `url()` call. Because we put space after division, it results in an incorrect path. The fix was to avoid printing a space if a division is the first token of a call, which hopefully should be safe.

<!-- prettier-ignore -->
```css
/* Input */
-custom-url(/absolute/path)

/* Prettier stable */
-custom-url(/ absolute/path)

/* Prettier main */
-custom-url(/absolute/path)
```
