#### Fix formatting of attributes (#10145 by @thorn0)

- fix escaping of `{{` in attributes and text
- fix the choice between `'` and `"` for attributes with interpolations
- fix the bug with `[object Object]` printed in the `class` attribute
- implement simple formatting for the `class` attribute, like Prettier formatted it in HTML before v2.3.0

<!-- prettier-ignore -->
```hbs
{{!-- Input --}}
<div class="
foo"></div>
<div bar='"{{expr}}"'></div>
<div baz="\{{ non-expression }}"></div>

{{!-- Prettier stable --}}
<div class="[object Object],foo"></div>
<div bar=""{{expr}}""></div>
<div baz="{{ non-expression }}"></div>

{{!-- Prettier main --}}
<div class="foo"></div>
<div bar='"{{expr}}"'></div>
<div baz="\{{ non-expression }}"></div>
```
