#### Correct parentheses for non-null assertions (#10337 by @thorn0)

Necessary parentheses sometimes weren't printed in expressions containing non-null assertions. This has been fixed.

<!-- prettier-ignore -->
```ts
// Input
const myFunction2 = (key: string): number =>
  ({
    a: 42,
    b: 42,
  }[key]!)

// Prettier stable (invalid syntax)
const myFunction2 = (key: string): number =>
  {
    a: 42,
    b: 42,
  }[key]!;

// Prettier main
const myFunction2 = (key: string): number =>
  ({
    a: 42,
    b: 42,
  }[key]!);
```
